; Configuration file for Duet WiFi (firmware version 3)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v3.2.2 on Wed Feb 03 2021 22:25:58 GMT-0800 (Pacific Standard Time)

; General preferences
G90                                            ; send absolute coordinates...
M83                                            ; ...but relative extruder moves
M550 P"Phobot 2.0"                             ; set printer name
;M453
; Network
;M552 S1                                        ; enable network
M552 S2						; enable access point
M586 P0 S1                                     ; enable HTTP
M586 P1 S0                                     ; disable FTP
M586 P2 S0                                     ; disable Telnet

; Drives
;Drive 2 (Z Motor) = Z
;Drive 1 (Y Motor) = Y
;Drive 0 (X Motor) = X
;Drive 3 (E0 Motor) = Y1 v
;Drive 4 (E1 Motor) = X1 u

M569 P0 S1 						; Drive 0 goes backwards
M569 P1 S0						; Drive 1 goes forwards
M569 P2 S1 						; Drive 2 goes backwards
M569 P3 S1 						; Drive 3 goes backwards
M569 P4 S0 						; Drive 4 goes forwards

M584 X0:4 Y1:3 Z2 U4 V3 P3 				; Apply custom drive mapping


M350 X16 Y16 Z16 U16 V16 I1                     		; configure microstepping with interpolation

M92 X100.3 Y100.3 U100.3 V100.3 Z400       			; set steps per mm

M566 X900.00 Y900.00 U900.00 V900.00 Z12.00 			; Set maximum instantaneous speed changes (mm/min)
M203 X6000.00 Y6000.00 U6000.00 V6000.00 Z180.00 		; Set maximum speeds (mm/min)
M201 X500.00 Y500.00 U500.00 V500.00 Z20.00 			; Set accelerations (mm/s^2)
M906 X1600.00 Y1600.00 U1600.00 V1600.00 Z1600.00 I50 	    ; Set motor currents (mA) and motor idle factor in per cent
M84 S30 												; Set idle timeout

; Axis Limits
M208 X0 Y0 Z-114.3 U0 V0 S1 									; Set axis minima
M208 X560 Y595 Z0 U560 V595 S0 						; Set axis maxima

; Endstops
;M574 X1 S1 C0
;M574 Y1 S1 C1
;M574 Z2 S1 C2
;M574 U1 S1 C4
;M574 V1 S1 C3
M574 X1 S1 P"zstop" ; X min active high endstop switch
M574 Y1 S1 P"e1stop"   ; Y min active high endstop switch
M574 Z2 S1 P"xstop"   ; Z min active high endstop switch
M574 U1 S1 P"ystop"  ; U min active high endstop switch
M574 V1 S1 P"e0stop"  ; U min active high endstop switch


; Z-Probe
M558 P0 H5 F120 T6000 ; Disable Z probe but set dive height, probe speed and travel speed
M557 X15:195 Y15:195 S20 ; Define mesh grid

; Heaters
M140 H-1 ; Disable heated bed
;M305 P1 T100000 B4138 R4700 ; Set thermistor + ADC parameters for heater 1
;M143 H1 S280 ; Set temperature limit for heater 1 to 280C

; Fans

; Tools
;M563 P1 S"XYZ-Probe"		      ; Define XYZ Touch Probe Tool
;M563 P0 D0 ; Define tool 1

;out4 as XYZ probe
M558 P5 F500:250 C"!HEATER3" ; Set probe type 5, Speed 500mm/s first pass and 250 mm/s second pass and use HEATER3


;M563 P0 D0 ; Define tool 1


M950 R0 C"e0heat" Q2000 L13300; enable CNC mode
;M453 C"exp.heater3+exp.heater4+exp.heater5" Q100 ; spindle PWM on heater 3 pin, on/off on heater 4, reverse/forward on heater 5, PWM frequency 100Hz

M563 P0 R0 S"Spindle"
T0
M453 

; Automatic power saving
M911 S10 R11 P"M913 X0 Y0 G91 M83 G1 Z3 E-5 F1000" ; Set voltage thresholds and actions to run on power loss

; Custom settings are not configured
